﻿package
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.geom.ColorTransform;
	import flash.geom.Point;
	public class Coliner extends Sprite
	{
		private var angle:Number = 200;
		private var path:Array;
		private var pathHeight:Number;
		private var image:BitmapData;
		private var c_trs:ColorTransform = new ColorTransform (2, 0.999, 5, 0.999);
		private var support:Sprite = new Sprite();
		public function Coliner()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void{
			addChild (new Bitmap (image = new BitmapData(stage.stageWidth, stage.stageHeight,false,0x990099)));
			this.addEventListener(Event.ENTER_FRAME,enterHandler);
		}
		private function enterHandler(e:Event):void
		{
			support.graphics.clear();
			support.graphics.moveTo(0,stage.stageHeight-10);
			var mX:Number = stage.stageWidth/2-mouseX
			var color:Number = Math.random()*0x9933FF;
			for(var i:Number=0;i<stage.stageWidth;i++){
				var posy:Number = Math.sin((i+angle/10)*Math.PI/180)*Math.cos(i*Math.PI/180)*(stage.stageWidth/2-i)*(mX/100);
				support.graphics.lineStyle(7,0x9933FF);
				support.graphics.lineTo(i*1.0,stage.stageHeight-500+posy);
			}
			angle+=1;
			image.colorTransform (image.rect, c_trs);
			image.scroll (1, 0.1);
			image.draw(support);
		}
	}
}